# Cognitive Services Local Search SDK

> see https://aka.ms/autorest

Configuration for generating Local Search SDK.

The current release is `release_1_0`.

``` yaml

tag: release_1_0
add-credentials: true
openapi-type: data-plane
```
# Releases

### Release 1.0
These settings apply only when `--tag=release_1_0` is specified on the command line.

``` yaml $(tag) == 'release_1_0'
input-file: stable/v1.0/LocalSearch.json
```

## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

``` yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-sdk-for-go
  - repo: azure-sdk-for-js
  - repo: azure-sdk-for-node
```

## CSharp Settings
These settings apply only when `--csharp` is specified on the command line.
``` yaml $(csharp)
csharp:
  namespace: Microsoft.Azure.CognitiveServices.Search.LocalSearch
  output-folder: $(csharp-sdks-folder)/CognitiveServices/dataPlane/Search/BingLocalSearch/BingLocalSearch/Generated/LocalSearch
```

## Go

See configuration in [readme.go.md](./readme.go.md)

## JavaScript/TypeScript

See configuration in [readme.typescript.md](./readme.typescript.md)

## Node.js

See configuration in [readme.nodejs.md](./readme.nodejs.md)

## Suppressions
Suppressing errors due to API design:
``` yaml
directive:
  - suppress: R3016
    reason: _type is a polymorphic discriminator that can't be changed.
```
